\section{Attendee impressions of DebConf}

% mail sent asking for permission 2012-01-10
% permission received 2012-01-11
\blogpost{http://retout.co.uk/blog/2011/07/28/debconf11}{Tim Retout}{It feels good to be at DebConf again, this time in Banja Luka. This is my fifth consecutive DebConf.

Getting here was fairly painful; a flight from Split was delayed, so I had to get a later bus than planned from Zagreb. Still, I met a bunch of DebConf attendees getting the same bus, so at least there was conversation.

Packaging-wise, I have been working on adding KiokuDB (and associated backends) into Debian. I wrote a patch for libossp-uuid-perl yesterday to fix a bug with its Data::UUID compatibility; this probably means I'll drop the Data::UUID ITP. Having looked at the code, I don't see how it can be easily fixed for multi-user systems.

The Perl team's forthcoming move to git has come as a pleasant surprise; I've been trying out the new workflow.

\begin{figure}[b]
  \begin{center}
    \includegraphics[width=\columnwidth]{images/photos/5991970488_c9b72283f3_b}
    \linebreak
    \imcap{Loyal followers: Wearing the T-shirts for every DebConf since 2003 (right to left)}
  \end{center}
\end{figure}

Earlier in the week I went running with bubulle et. al. -- I must have missed the bit in the email where the very steep hill was mentioned. And the rain. So I had to slow down and turn around, and probably didn't quite do 15km in the end. :)

Beer is half the price of Coca-Cola here. Awesome.

So generally, I've been decompressing, and introspecting. The cafes are good for philosophical discussions; preferably when it's not raining. More later.}


% mail sent asking for permission 2012-01-10
% permission received 2012-01-11
\blogpost{http://www.lucas-nussbaum.net/blog/?p=694}{Lucas Nussbaum}{So, the fifth DebConf I’ve had the chance to attend is clearly over now. It was great, and all organizers (and sponsors) really deserve huge ``thank you'' for making this event so successful. I’m already looking forward to next year’s edition.

DebConf has been very productive for me. I chaired 4 sessions:
%
\begin{itemize}
\item    the usual Quality Assurance BOF, which was a bit depressing: even if work gets done, the QA “team” doesn’t really feel like a “team”. Maybe that’s because a QA “team” is not needed, and we should instead split it into smaller teams focusing on subsets of the QA work (archive-wide testing, QA services, etc.)?
\item    a BOF on Ruby, where I demoed the work we have been doing around gem2deb, our new dh-based packaging helper
\item    a tutorial on archive testing, hoping to get more people involved in tests such as archive rebuilds. If you are interested in helping with reporting bugs, please drop me an email
\item    a BOF on finding a ‘standard’ Git workflow for packaging teams. More work is needed on this, but it looks like a good start.
\end{itemize}
%
I’ve also made numerous uploads of Ruby-related packages, and reduced my backlog on UDD to a reasonable level. I even managed to make a developers-reference upload, integrating all the pending patches from the BTS.}


% \blogpost{http://upsilon.cc/~zack/blog/posts/2011/07/DebCevapciConf/}{Stefano Zacchiroli}{During DebConf11, I've tried a couple of times to eat Cevapi, but for one reason or another I didn't manage to.
% 
% On my way from Banja Luka to Split, I've stopped my motorbike in the proverbial middle of nowhere for lunch (the fact it was raining cats \& dogs helped in not having much of a choice). As a consequence, the waiter I ended up facing didn't speak a single word of any language I know. The only three words of Bosnian I managed to say were luckily the right ones: \'{c}evapi, pivo, and voda. The only missing ingredient for a perfect DebConf in the Balkans -- \'{C}evapi -- has hence been acquired before leaving the country. Everything else was already there: intense hacking, truckload of emotions, tiny teeny bit of stress, feeling of family, and physical exhaustion.}

\begin{wrapfigure}{r}{0.5\textwidth}
  \begin{center}
    \vspace{-20pt}
    \includegraphics[width=0.48\textwidth]{images/photos/5987420915_46fefddf77_b}
    \linebreak
    \imcap{Geeks bearing cameras, ready for the conference dinner}
 \vspace{-50pt}
  \end{center}
\end{wrapfigure}

% mail sent asking for permission 2012-01-10
% permission received 2012-01-11
\blogpost{http://www.aigarius.com/blog/2011/08/04/debconf-11-postmortem/}{Aigars Mahinovs}{Another year, another DebConf and now it is passed. Pictures are processed and all are now uploaded. We are still missing 25 names in the DebConf11 group photo. With 265 people and 86 Mpix it is the highest resolution image we have had so far (Spain image had a bit more pixels, but a lot of them were outside the actual photo) and the largest number of people (Edinburgh photo had 248 people). The video team produced hundreds of gigabytes of footage, we had very interesting talks and debates and sometimes the AdHoc meeting room on the side was overcrowded with people in BoFs that were not on the initial schedule. It has been a very special kind of conference. As it always is. :)

As always, there were also some problems. I did not read the debconf-team mailing list, but I hear there was plenty of ‘fun’ discussions to be had in the run-up to the event, some information on getting to the venue was not quite clear (that was quickly fixed as first people arriving to Debcamp were documenting their experience), the organizational dance with the food tickets was more … elaborate than usually, both the day trip and the formal dinner were … more self-driven than expected, vegetarian complaint level was about the same as usual (which is considered high by some) and the wireless in the hotel was very weak, also Saturday weddings are quite loud and run very late apparently.

To compensate for that we had: very sunny Debcamp, cheap beer (!!!), great quality accommodations, very good looking venue, good network at the venue (after initial scalability issues with the wireless), good food (that did sometimes run out, though), short distances to all locations, oh and did I mention cheap beer?}


% mail sent asking for permission 2012-01-10
% permission received 2012-01-11
\blogpost{http://raphaelhertzog.com/2011/08/05/my-debian-activities-in-july-2011/}{Raphael Hertzog}{I spent a full week in DebConf (from Sunday 24th to Sunday 31th) and as usual, it’s been a pleasure to meet again all my Debian friends. It’s always difficult to find a good balance between attending talks, working in the hacklab and socializing but I’m pretty happy with the result.

I did not have any goal when I arrived, except managing the Rolling BOF but all the discussions during talks always lead to a growing TODO list. This year was no exception. The technical committee BoF resulted in some discussions of some of the pending issues, in particular one that interests me: how to enable hardening build flags in Debian (see \href{http://bugs.debian.org/552688}{bug report \#552688}).

\begin{wrapfigure}{l}{0.3\textwidth}
  \begin{center}
    \vspace{-20pt}
    \includegraphics[width=0.28\textwidth]{images/photos/5974941114_c8a7606ddb_b}
    \linebreak
    \imcap{At a BoF session}
    \vspace{-30pt}
  \end{center}
\end{wrapfigure}

We scheduled another discussion on the topic for Tuesday and the outcome is that dpkg-buildflags is the proper interface to inject hardening build flags provided that it offers a mean to drop unwanted flags and a practical way to inject them in the ./configure command line.}


% mail sent asking for permission 2012-01-10
% permission received 2011-02-11
\blogpost{http://www.gag.com/bdale/blog/posts/FreedomBox_in_Banja_Luka.html}{Bdale Garbee}{I spent the last two weeks of July 2011 in Banja Luka. The occasion was the annual Debian developer's conference, DebConf11 and preceding work week known as Debcamp. This was my tenth successive year attending DebConf, and I had a very productive and pleasant time! The facilities were good, the local team was friendly, enthusiastic, and very helpful, and in addition to giving three talks and hosting a couple panel discussions, I managed to put a burst of energy into work on FreedomBox. Several other developers working on FreedomBox were also present, and a good number of Sheeva and Dream plugs were evident in the hacklabs sporting new FreedomBox stickers. Working together in the same place for several days, we made good progress on several projects, and also had some great discussions about what we want to do going forward.}


% mail sent asking for permission 2012-01-10
% permission received 2011-02-11
\blogpost{http://blog.einval.com/}{Steve McIntyre}{In one word: AWESOME

Every year I worry that DebConf might not be as good as I hope, or not as good as previous years. Well, I've yet to be let down!

The road trip down to Banja Luka was good fun, even if it took a little longer than planned. We ended up travelling down through Germany on the same Friday as much of the country finished work/school for their summer vacation, so there was a lot of traffic. Meh, we got there in the end.

I made my usual mistake of planning some things to hack on during the DebConf week; by now I should know better... :-) I made a start on one small project, but then got so distracted by so many talks and side meetings with people that it's still waiting. As always, my own personal TODO list picked up huge amounts of extra stuff from those discussions. Catching up with, and socialising with, Debian friends from all over the world was also fun as always!

Lots of highlights of the week for me, both for technical and social reasons:
%
\begin{itemize}
\item    Multi-arch is finally with us! Great talk from Steve Langasek, and a very useful meeting afterwards to unpick what work is still needed. Quite a bit, it seems... :-)
\item    Useful meetings with Otavio to discuss future changes to how debian-installer is going to work, and how the debian-cd and debian-installer teams can work together better on that.
\item    Catching up with Martin to work out what's needed to get pancutan finally integrated with our regular CD builds.
\item    Talking with Jimmy about where to go next for regular debian-live builds on our core CD build machine.
\item    The ARM BoF, where things have moved on from ``why should I care about ARM?'' to ``when will you have armhf ready for going in the archive?''. W00t!
\item    Doing our own day trip in the cars from the UK. We got to meet some very friendly and helpful local people, plus we found some incredible roads to drive on. Even if not all of them were technically roads yet... :-)
\end{itemize}
%
Banja Luka was a lovely place to visit, and a great host city for DebConf. Looking forwards to Managua now!}

\begin{figure}[t!]
  \begin{center}
    \includegraphics[width=0.6\textwidth]{images/photos/5960069963_ea3bdecbd4_b.jpg}
    \linebreak
    \imcap{Discussions at the hacklab}
\end{center}
\end{figure}
